#!/bin/bash
LOCK="${HOME}/dlrn.lock"
set -e

# if any arguments are given, assume console foreground execution
ARG=$1

exec 200>$LOCK
if !  flock -n 200
then
    if [ -n "$ARG" ]
    then
        echo "DLRN ${USER} running, please try again after disabling it."
    fi
    exit 1
fi

if [ ! -d ${HOME}/dlrn-logs ]
then
    mkdir -p ${HOME}/dlrn-logs
fi

if [ -n "$ARG" ]
then
    LOGFILE=${HOME}/dlrn-logs/dlrn-run.console.$(date +%s).log
else
    LOGFILE=${HOME}/dlrn-logs/dlrn-run.$(date +%s).log
fi

cd
set +e

echo `date` "Starting DLRN run." >> $LOGFILE
dlrn --config-file /etc/dlrn/projects.ini --head-only "$@" 2>> $LOGFILE
RET=$?
echo `date` "DLRN run complete." >> $LOGFILE

if [ -n "$ARG" ]
then
    echo Arguments: "$@"
    cat $LOGFILE
fi
exit $RET

